import * as Babel from '@babel/core';
import { File } from '@babel/types';
import { PluginObj } from './BabelPluginTypes';
export declare function parse(code: string, options: Babel.ParserOptions, parse: (code: string, options: Babel.ParserOptions) => File): File;
export declare function generate(ast: File, options: Babel.GeneratorOptions, code: string, generate: (ast: File, options: Babel.GeneratorOptions) => string): {
    code: string;
    map?: object;
};
export default function (babel: typeof Babel): PluginObj;
